Page MenuHomePhabricator

Python 3 library support
Closed, ResolvedPublic

Description

The following *library* dependencies do not install out of the box on Python 3 using setuptools/pip (with py3 port status in brackets):

Details

Related Gerrit Patches:

Related Objects

Event Timeline

jayvdb created this task.Nov 24 2014, 1:03 AM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot.
jayvdb changed Security from none to None.
jayvdb added a subscriber: jayvdb.
jayvdb moved this task from Backlog to Upstream issues on the Pywikibot board.Nov 29 2014, 7:09 AM
XZise added a subscriber: XZise.May 24 2015, 10:45 AM

Gerrit 212752 at least does skip those problematic installations.

Change 212751 had a related patch set uploaded (by John Vandenberg):
Let pydot encode labels for Python 3 support

https://gerrit.wikimedia.org/r/212751

Change 212751 merged by jenkins-bot:
Let pydot encode labels for Python 3 support

https://gerrit.wikimedia.org/r/212751

jayvdb updated the task description. (Show Details)Sep 26 2015, 11:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2015, 11:03 AM
jayvdb updated the task description. (Show Details)May 21 2016, 5:10 PM
jayvdb updated the task description. (Show Details)May 22 2016, 12:46 AM
jayvdb updated the task description. (Show Details)May 22 2016, 1:07 AM
Abbe98 added a subscriber: Abbe98.Jan 7 2017, 10:56 AM
Dvorapa updated the task description. (Show Details)Jun 16 2018, 8:10 PM
Dvorapa updated the task description. (Show Details)
Xqt triaged this task as High priority.Sep 29 2018, 5:05 AM
Xqt added a subscriber: Xqt.Oct 1 2018, 11:10 AM

Seems pydot is avaliable for Python 3 since 1.2
https://pypi.org/project/pydot/1.2.0/

Change 463731 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Require pydot>=1.2 for interwiki_graph

https://gerrit.wikimedia.org/r/463731

Change 463731 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Require pydot>=1.2 for interwiki_graph

https://gerrit.wikimedia.org/r/463731

Dvorapa updated the task description. (Show Details)Oct 1 2018, 9:33 PM
Xqt closed this task as Resolved.Jun 20 2019, 1:11 PM
Xqt claimed this task.